Keela Gutenberg & Enable Classic versioon WordPressis 5.0 +

Kas soovite Gutenbergi keelata ja naasta klassikalisele WordPressi väljaandjale?
Gutenberg
on hiljuti WordPressis redigeerimisvahend, mis asendab klassikalise redaktori. See on rohkem dünaamiline kasutajaliides ja intuitiivne teooria, kuid paljud kirjastajad peavad seda raskem kasutada kui klassikaline WordPress toimetaja. Lisaks sellele, kui te kasutate vanemat WordPress teema, mis ei ole uuendatud kuulata uue toimetaja Gutenberg, on võimalik kohata igasuguseid vigu. Meie puhul Gutenberg WordPress toimetaja 5.0 oli Tõeline ebameeldivalt. Eelnõu muutmine oli peaaegu võimatu. Tekst ei ole täielikult võimalik valida, ja kui joonduslehte punktis u lase kursor ja mujal hakkas kirjutama. Imelik.
Meie vabaduses peavad saidil kirjutamisel olema lihtsad, intuitiivsed ja käepärased võimalused. Gutenberg ei näidanud meile seda leket siiani. Võimalik, et parem kui 12 aastatepikkune toimetamine klassikalisega, on muutuste mõju.

Me ei ole üksi. WordPressi allalaadimispistikute ametlikul platvormil hindan ma kõrgelt neid, mis aitavad kiiresti Gutenbergi välja lülitada, samas kui uus funktsioon WordPress 5.0 on palju negatiivseid kommentaare. On tõsi, et enamik neist, kes andsid negatiivse tulemuse, kasutavad vanu WordPress Teemad kes ei ole valmis Gutenbergi jaoks dünaamiliseks elusliideseks.

Selles artiklis me näitame teile kuidas saab Gutenbergit WordPressis keelata 5 praeguse teema ja selle jaoks naaske klassikalisele redigeerimise / kirjastamise toimetajale.

Esiteks peab teil olema piisavalt failide redigeerimise õigusi functions.php praeguse teema (aktiivne) või FTP-ligipääsuga redigeerimisõigustega.

avatud functions.php ja lisage rida:

add_filter('use_block_editor_for_post', '__return_false');

Salvestage fail, seejärel minge "Postitusi"→"Lisa uus". Te märkate toimetajat Gutenberg ta kadus ja oli eksitanud klassikalisega.
See on lihtsaim meetod ja ei nõua WordPressi plugina installimist. Testitud edukalt WordPress 5.0is. Kui seda muudetakse WordPressi hilisemates versioonides, tagastame selle artikli värskendustega, näidates, kuidas seda saab keelata Gutenberg.

Kui kasutate 5.0i vanemat WordPressi versiooni, lisage funktsioone.php järgmisesse rida:

add_filter('gutenberg_can_edit_post', '__return_false', 5);

Automaatne (arendajad WordPress) praegu soovitada plugin seda teha, kuid öelda, et klassikaline toimetaja on saadaval ainult kuni 2021. Pärast seda me näeme, kuidas WordPressi Classic Editori hoida. Samuti on Gutenburgi võimalus olla seni sõbralikum.

Keela Gutenberg & Enable Classic versioon WordPressis 5.0 +

Andmeid autor

Kavalus

Kirglikult kõige vastu, mis tähendab vidinaid ja IT-sid, kirjutan heameelega stealthsettings.com saidil 2006 ja armastan avastada uusi asju arvutite ja macOS-i, Linuxi opsüsteemide, Windows, iOS ja Android.

Jäta kommentaar